## guvcview 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(guvcview VERSION 2.2.1)

include(GNUInstallDirs)

find_package(PkgConfig REQUIRED)

add_compile_definitions(PACKAGE_STRING="guvcview ${CMAKE_PROJECT_VERSION}")
add_compile_definitions(PACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

option(USE_SDL2 "Enable SDL2 render engine" ON)
option(USE_SFML "Enable SFML render engine" OFF)
option(INSTALL_DEVKIT "Install development files" OFF)

if(USE_SDL2)
  pkg_check_modules(SDL2 sdl2)
  if(SDL2_FOUND)
    message(STATUS "sdl2 is ON")
    add_compile_definitions(ENABLE_SDL2)
  endif()
endif()

if(USE_SFML)
  pkg_check_modules(SFML sfml-graphics>=2.0 sfml-window>=2.0)
  if(SFML_FOUND)
    message(STATUS "sfml is ON")
    add_compile_definitions(ENABLE_SFML)
    #linking to gl is needed in some distros for SFML
    pkg_check_modules(GL gl)
  endif()
endif()

#set some variables need for processing
#gview libs .pc (pkgconfig) files for devkit
set(INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}")
set(LIBDIR "${CMAKE_INSTALL_LIBDIR}")
set(PREFIX "${CMAKE_INSTALL_PREFIX}")

add_subdirectory(gview_audio)
add_subdirectory(gview_encoder)
add_subdirectory(gview_render)
add_subdirectory(gview_v4l2core)
add_subdirectory(guvcview)
add_subdirectory(po)
add_subdirectory(data)

=== data/CMakeLists.txt ===
option(USE_DEBIANMENU "Install a debian menu entry" OFF)
set(DATADIR "${CMAKE_INSTALL_FULL_DATADIR}")

configure_file(guvcview.appdata.xml.in guvcview.appdata.xml @ONLY)
configure_file(guvcview.desktop.in guvcview.desktop @ONLY)

file(ARCHIVE_CREATE
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/guvcview.1.gz
  PATHS ${CMAKE_CURRENT_SOURCE_DIR}/guvcview.1
  FORMAT raw
  COMPRESSION GZip
)

if(USE_DEBIANMENU)
  configure_file(guvcview.in guvcview @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/guvcview DESTINATION ${DATADIR}/menu)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/guvcview.appdata.xml DESTINATION ${DATADIR}/appdata)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/guvcview.desktop DESTINATION ${DATADIR}/applications)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/guvcview.1.gz DESTINATION ${DATADIR}/man/man1)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/guvcview.png DESTINATION ${DATADIR}/pixmaps)

=== gview_audio/CMakeLists.txt ===
set(CMAKE_C_STANDARD 11)

set(LIBSOVERSION "2")
set(LIBVERSION  "2.2.0")

option(USE_PULSE "Enable Pulseaudio API" ON)

add_library(gviewaudio SHARED
  audio.c
  audio_fx.c
  audio_portaudio.c
  core_time.c
)

set_target_properties(
  gviewaudio PROPERTIES
  VERSION ${LIBVERSION}
  SOVERSION ${LIBSOVERSION}
)

pkg_check_modules(PORTAUDIO2 REQUIRED portaudio-2.0)

target_link_libraries(gviewaudio ${PORTAUDIO2_LIBRARIES})
add_definitions(${PORTAUDIO2_CFLAGS} ${PORTAUDIO2_CFLAGS_OTHER})

if(USE_PULSE)
  pkg_check_modules(PULSEAUDIO libpulse)
  if(PULSEAUDIO_FOUND)
    message(STATUS "pulseaudio is ON")
    target_sources(gviewaudio PRIVATE audio_pulseaudio.c)
    add_compile_definitions(HAS_PULSEAUDIO)
    target_link_libraries(gviewaudio ${PULSEAUDIO_LIBRARIES})
    add_definitions(${PULSEAUDIO_CFLAGS} ${PULSEAUDIO_CFLAGS_OTHER})
  endif()
endif()

include_directories(${CMAKE_SOURCE_DIR}/includes)

if(INSTALL_DEVKIT)
  configure_file(libgviewaudio.pc.in libgviewaudio.pc @ONLY)

  install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/gviewaudio.h TYPE INCLUDE)
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libgviewaudio.pc
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/pkgconfig
  )
endif()

install(TARGETS gviewaudio)

=== gview_encoder/CMakeLists.txt ===
set(CMAKE_C_STANDARD 11)

set(LIBSOVERSION "2")
set(LIBVERSION  "2.2.1")

add_library(gviewencoder SHARED
  audio_codecs.c
  avi.c
  encoder.c
  file_io.c
  libav_encoder.c
  packet.c
  matroska.c
  muxer.c
  stream_io.c
  video_codecs.c
)

set_target_properties(
  gviewencoder PROPERTIES
  VERSION ${LIBVERSION}
  SOVERSION ${LIBSOVERSION}
)

pkg_check_modules(FFMPEG REQUIRED libavcodec libavutil)

target_link_libraries(gviewencoder ${FFMPEG_LIBRARIES})
add_definitions(${FFMPEG_CFLAGS} ${FFMPEG_CFLAGS_OTHER})

include_directories(${CMAKE_SOURCE_DIR}/includes)

if(INSTALL_DEVKIT)
  configure_file(libgviewencoder.pc.in libgviewencoder.pc @ONLY)

  install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/gviewencoder.h TYPE INCLUDE)

  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libgviewencoder.pc
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/pkgconfig
  )
endif()

install(TARGETS gviewencoder)

=== gview_render/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_C_STANDARD 11)

set(LIBSOVERSION "2")
set(LIBVERSION  "2.2.1")

add_library(gviewrender SHARED
  render.c
  render_fx.c
  render_osd_crosshair.c
  render_osd_vu_meter.c
)

set_target_properties(
  gviewrender PROPERTIES
  VERSION ${LIBVERSION}
  SOVERSION ${LIBSOVERSION}
)


if(SDL2_FOUND)
  target_sources(gviewrender PRIVATE render_sdl2.c)
  target_link_libraries(gviewrender ${SDL2_LIBRARIES})
  add_definitions(${SDL2_CFLAGS} ${SDL2_CFLAGS_OTHER})
endif()

if(SFML_FOUND)
  target_sources(gviewrender PRIVATE render_sfml.cpp)
  target_link_libraries(gviewrender ${SFML_LIBRARIES})
  add_definitions(${SFML_CFLAGS} ${SFML_CFLAGS_OTHER})
endif()

if(GL_FOUND)
  message(STATUS "linking gviewrender to ${GL_LIBRARIES}")
  target_link_libraries(gviewrender ${GL_LIBRARIES})
endif()

pkg_check_modules(GSL gsl>=0.15)

if(GSL_FOUND)
  message(STATUS "gsl is ON")
  add_compile_definitions(HAS_GSL)
  target_link_libraries(gviewrender ${GSL_LIBRARIES})
  add_definitions(${GSL_CFLAGS} ${GSL_CFLAGS_OTHER})
endif()

include_directories(${CMAKE_SOURCE_DIR}/includes)

if(INSTALL_DEVKIT)
  configure_file(libgviewrender.pc.in libgviewrender.pc @ONLY)

  install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/gviewrender.h TYPE INCLUDE)

  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libgviewrender.pc
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/pkgconfig
  )
endif()

install(TARGETS gviewrender)

=== gview_v4l2core/CMakeLists.txt ===
set(CMAKE_C_STANDARD 11)

set(LIBSOVERSION "2")
set(LIBVERSION  "2.2.1")

add_library(gviewv4l2core SHARED
  colorspaces.c
  control_profile.c
  core_time.c
  dct.c
  frame_decoder.c
  jpeg_decoder.c
  save_image_bmp.c
  save_image.c
  save_image_jpeg.c
  save_image_png.c
  soft_autofocus.c
  uvc_h264.c
  v4l2_controls.c
  v4l2_core.c
  v4l2_devices.c
  v4l2_formats.c
  v4l2_xu_ctrls.c)

set_target_properties(
  gviewv4l2core PROPERTIES
  VERSION ${LIBVERSION}
  SOVERSION ${LIBSOVERSION}
)

pkg_check_modules(V4L2 REQUIRED
  libv4l2 libudev libusb-1.0 libavcodec>=57.16 libavutil libpng)

target_link_libraries(gviewv4l2core ${V4L2_LIBRARIES})
add_definitions(${V4L2_CFLAGS} ${V4L2_CFLAGS_OTHER})

add_compile_definitions(GETTEXT_PACKAGE_V4L2CORE="gview_v4l2core")

include_directories(${CMAKE_SOURCE_DIR}/includes)

if(INSTALL_DEVKIT)
  configure_file(libgviewv4l2core.pc.in libgviewv4l2core.pc @ONLY)

  install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/gviewv4l2core.h TYPE INCLUDE)
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libgviewv4l2core.pc
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/pkgconfig
  )
endif()

install(TARGETS gviewv4l2core)

=== po/CMakeLists.txt ===
include(FindGettext)

add_subdirectory(gview_v4l2core)

set(_potFile ${PROJECT_NAME}.pot)
set(_xgettext_option_list
  "--language=C"
  "--keyword=_"
  "--keyword=N_"
  "--keyword=C_:1c,2"
  "--keyword=NC_:1c,2 -s"
  "--package-name=${PROJECT_NAME}"
  "--package-version=${PRJ_VER}"
)

file(GLOB pofiles "${CMAKE_SOURCE_DIR}/po/*.po")
file(GLOB _src_list
  "${CMAKE_SOURCE_DIR}/guvcview/*.c"
  "${CMAKE_SOURCE_DIR}/guvcview/*.cpp"
)

gettext_create_translations(${_potFile} ALL ${pofiles})

find_program(XGETTEXT_EXECUTABLE xgettext)

add_custom_command(
  OUTPUT ${_potFile}
  COMMAND ${XGETTEXT_EXECUTABLE}
    ${_xgettext_option_list} -o ${_potFile} ${_src_list}
  DEPENDS ${_src_list}
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMENT "Extract translatable messages to ${_potFile}"
)

add_custom_target(
  update-pot
  DEPENDS ${_potFile}
  COMMENT "Updating ${_potFile} from sources"
)

=== po/gview_v4l2core/CMakeLists.txt ===
set(_potFile gview_v4l2core.pot)
set(_xgettext_option_list
  "--language=C"
  "--keyword=_"
  "--keyword=N_"
  "--keyword=C_:1c,2"
  "--keyword=NC_:1c,2 -s"
  "--package-name=gview_v4l2core"
)

file(GLOB pofiles "${CMAKE_SOURCE_DIR}/po/gview_v4l2core/*.po")
file(GLOB _src_list
  "${CMAKE_SOURCE_DIR}/gview_v4l2core/*.c"
)

gettext_create_translations(${_potFile} ALL ${pofiles})

find_program(XGETTEXT_EXECUTABLE xgettext)

add_custom_command(
  OUTPUT ${_potFile}
  COMMAND ${XGETTEXT_EXECUTABLE}
    ${_xgettext_option_list} -o ${_potFile} ${_src_list}
  DEPENDS ${_src_list}
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMENT "Extract translatable messages to ${_potFile}"
)

add_custom_target(
  update-v4l2core-pot
  DEPENDS ${_potFile}
  COMMENT "Updating ${_potFile} from sources"
)

## guvcview 1.4.5

=== debian/changelog ===
guvcview (1.4.5-1ubuntu1) oneiric; urgency=low

  * Sync with Debian unstable.
  * debian/source/format:
   - Set 3.0 (quilt) to include a patch.
  * debian/patches/90_0.7_libav_fix.patch:
   - From upstream, fix building with libav 0.7.

 -- Julien Lavergne <gilir@ubuntu.com>  Sat, 16 Jul 2011 11:28:21 +0200

guvcview (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - Bumped standards-version to 3.9.2.
      No changes needed.
    - Add libudev-dev to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 14 Jul 2011 21:04:43 +0900

guvcview (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - Bumped standards-version to 3.9.0.
      No changes needed.
    - Remove quilt from Build-depends.
    - Add uvcdynctrl to Recommends.
  * Remove debian/patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Jul 2010 09:43:27 +0900

guvcview (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/control.
    - Add quilt (>= 0.46-7~).
  * Add debian/source/format.
    Set source format to "1.0".

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 20 Apr 2010 05:52:30 +0900

guvcview (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - Bumped standards-version to 3.8.4. No changes needed.
    - Add libv4l-dev to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 08 Mar 2010 00:41:09 +0900

guvcview (1.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #564301).
  * Change from cdbs to debhelper.
  * Change patch control tool from dpatch to quilt.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 10 Jan 2010 08:50:22 +0900

guvcview (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Change e-mail address.
  * Remove DM-Upload-Allowed field.
  * Update Standards-Version.
  * Add README.source file.
  * Update 01_update_man.dpatch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Sep 2009 19:43:43 +0900

guvcview (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version. (Closes: #535303)
  * Add "DM-Upload-Allowed: yes" to debian/control.
  * Add 01_update_man.dpatch
  * Remove some patch, because applied in upstream.
      01_null_check_and_file_clean.dpatch
      02_uyvy_draw_size.dpatch

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Fri, 24 Jul 2009 19:18:02 +0900

guvcview (1.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #518061)
  * Add libtwolame-dev to Build-Depends.
  * Remove UYVY dpatch.
  * Add new patch of NULL check.
        01_null_check_and_file_clean.dpatch
  * Add new patch of fix draw size.
        02_uyvy_draw_size.dpatch

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Tue, 31 Mar 2009 23:18:15 +0900

guvcview (0.9.3-1) unstable; urgency=low

  * Initial release (Closes: #493533)
  * Add support UYVY color

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Sun, 14 Sep 2008 01:09:51 +0900

=== debian/control ===
Source: guvcview
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, libsdl1.2-dev,
		libgtk2.0-dev, portaudio19-dev, libpng12-dev, libtwolame-dev,
		libavcodec-dev, libv4l-dev, libudev-dev
Standards-Version: 3.9.2
Homepage: http://guvcview.berlios.de/

Package: guvcview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	rm -rf debian/guvcview/usr/share/doc/guvcview/NEWS \
		debian/guvcview/usr/share/doc/guvcview/COPYING \
		debian/guvcview/usr/share/doc/guvcview/INSTALL

	rm -rf debian/guvcview/usr/share/doc/guvcview/NEWS.gz \
		debian/guvcview/usr/share/doc/guvcview/COPYING.gz \
		debian/guvcview/usr/share/doc/guvcview/INSTALL.gz

## guvcview 1.7.1

=== debian/changelog ===
guvcview (1.7.1-1ubuntu1) trusty; urgency=low

  * Fix functions implicitly converted to pointer.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 21:03:55 +0000

guvcview (1.7.1-1build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 09 Nov 2013 21:51:44 +0000

guvcview (1.7.1-1) unstable; urgency=low

  * New upstream release. (Closes: #712397)
  * Update debian/control.
    - Update Vcs-Git and Vcs-Browser field
  * Remove patches/fix_typo. This was applied to upstream.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 18 Sep 2013 12:59:47 +0900

guvcview (1.7.0-1) unstable; urgency=low

  * New upstream release. (Closes: #677123, #686649, #687440, #704295)
  * Update debian/control.
    - Bumped standards-version to 3.9.4.
  * Change source format to 3.0 (quilt).
  * Fix typo in manpage.
    Add debian/patches/fix_typo.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 27 May 2013 14:32:02 +0900

guvcview (1.6.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * Update debian/control.
    - Update to debhelper 9.
    - Bumped standards-version to 3.9.3.
    - Add Vcs-Git field and Vcs-Browser field.
    - Add intltool to Build-Depends.
  * Update debian/compat.
    Bumped to 9.
  * Update debian/copyight.
    Update to copyright-format 1.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 04 Aug 2012 06:25:47 +0900

guvcview (1.5.3-1) unstable; urgency=low

  * New upstream release (Closes: #644733).
  * Update debian/control.
    - Update Build-depends from libpng12-dev to libpng-dev only.
      (Closes: #662368)
    - Update Homepage field. (Closes: #662297)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 05 Mar 2012 12:05:09 +0900

guvcview (1.5.0-1) unstable; urgency=low

  * New upstream release. (Closes: #638323)
  * Update debian/control.
    - Update Architecture from any to linux-any.
    - Add libpng-dev to Build-Depends. This needs to libpng transition.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 22 Aug 2011 12:28:10 +0900

=== debian/control ===
Source: guvcview
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), intltool, autotools-dev, libsdl1.2-dev,
		libgtk-3-dev, portaudio19-dev, libpng-dev, libtwolame-dev,
		libavcodec-dev, libavutil-dev, libv4l-dev, libudev-dev
Standards-Version: 3.9.4
Homepage: http://guvcview.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/guvcview.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/guvcview.git;a=summary

Package: guvcview
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	rm -rf debian/guvcview/usr/share/doc/guvcview/NEWS \
		debian/guvcview/usr/share/doc/guvcview/COPYING \
		debian/guvcview/usr/share/doc/guvcview/INSTALL \
		debian/guvcview/usr/share/doc/guvcview/ChangeLog

## guvcview 1.7.3

=== debian/changelog ===
guvcview (1.7.3-1.1build2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 21:07:38 +0100

guvcview (1.7.3-1.1build1) utopic; urgency=medium

  * No-change rebuild against libav10.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 31 May 2014 22:12:13 -0400

guvcview (1.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0001-fix-build-with-libav10.patch: Update patch to build
    against libav 10. Thanks to Moritz Muehlenhoff. (Closes: #739323)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 May 2014 00:09:00 +0200

guvcview (1.7.3-1) unstable; urgency=low

  * New upstream release. (Closes: #739049)
  * Update debian/control.
    - Update Standards-Version to 3.9.5.
    - Add libusb-1.0-0-dev to Build-Depends.
  * Fix build with libav10. (Closes: #739323)
    Add patches/0001-fix-build-with-libav10.patch.
    Thanks to Moritz Muehlenhoff and anton@khirnov.net.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 25 Mar 2014 07:56:34 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: guvcview
 Section: graphics
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9), intltool, autotools-dev, libsdl1.2-dev,
 		libgtk-3-dev, portaudio19-dev, libpng-dev, libtwolame-dev,
-		libavcodec-dev, libavutil-dev, libv4l-dev, libudev-dev
-Standards-Version: 3.9.4
+		libavcodec-dev, libv4l-dev, libudev-dev, libusb-1.0-0-dev
+Standards-Version: 3.9.5
 Homepage: http://guvcview.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/guvcview.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/guvcview.git;a=summary

## guvcview 2.0.1+debian

=== debian/changelog ===
guvcview (2.0.1+debian-1) unstable; urgency=medium

  * New upstream release. (Closes: #761388, #761230)
  * Update patches/remove_cppflags.patch.
  * Update debian/README.source.
  * Update debian/control.
    - Update Standards-Version to 3.9.6.
    - Update sdl library from libsdl1.2-dev to libsdl2-dev.
    - Add libgsl0-dev to Build-Depends..

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Oct 2014 23:25:55 +0900

guvcview (2.0.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Add patches/remove_cppflags.patch.
  * Add intltool.m4.patch.
    Fix 'guvcview source: source-contains-unsafe-symlink m4/intltool.m4'.
  * Remove patches/0001-fix-build-with-libav10.patch.
  * Remove patches/0001-Fix-Segmentation-fault-in-get_ctrl_by_id.patch.
  * Add libguvcview-1.0-1 and libguvcview-dev package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 17 Sep 2014 07:42:07 +0900

guvcview (1.7.3-2) unstable; urgency=medium

  * Add patches/0001-Fix-Segmentation-fault-in-get_ctrl_by_id.patch.
    Fix segmentation fault on startup. (Closes: #760187)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Sep 2014 02:06:49 +0900

=== debian/control ===
Source: guvcview
Section: graphics
Priority: extra
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), intltool, autotools-dev, libsdl2-dev,
		libgtk-3-dev, portaudio19-dev, libpng-dev, libtwolame-dev,
		libavcodec-dev, libv4l-dev, libudev-dev, libusb-1.0-0-dev,
		libgsl0-dev
Standards-Version: 3.9.6
Homepage: http://guvcview.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/guvcview.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/guvcview.git;a=summary

Package: guvcview
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.

Package: libguvcview-1.0-0
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GTK+ base UVC Viewer - runtime
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.
 . 
 This package includes the shared library.

Package: libguvcview-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libguvcview-1.0-0 (= ${binary:Version})
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer - development files
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.
 .
 This package contains files that are needed to build applications.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	rm -rf debian/tmp/usr/share/doc/guvcview/NEWS \
		debian/tmp/usr/share/doc/guvcview/COPYING \
		debian/tmp/usr/share/doc/guvcview/INSTALL \
		debian/tmp/usr/share/doc/guvcview/ChangeLog

	dh_install

## guvcview 2.0.2+debian

=== debian/changelog ===
guvcview (2.0.2+debian-3) unstable; urgency=medium

  * Fix build with ffmpeg 2.9. (Closes: #803823)
    Thanks to Andreas Cadhalpun.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 17 Jan 2016 07:42:31 +0900

guvcview (2.0.2+debian-2) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (Closes: #807205)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 08 Dec 2015 23:28:33 +0900

guvcview (2.0.2+debian-1) unstable; urgency=medium

  * New upstream release.
  * Add patches/update-manpage. (Closes: #779839)
  * Bump soname in control file and override file.
  * Update debian/rules.
    - Add GVIEWENCODER_CFLAGS="-D_FILE_OFFSET_BITS=64" to configure.
      (Closes: #778834)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 16 Aug 2015 06:25:17 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), intltool, autotools-dev, libsdl2-dev,
 		libgtk-3-dev, portaudio19-dev, libpng-dev, libtwolame-dev,
 		libavcodec-dev, libv4l-dev, libudev-dev, libusb-1.0-0-dev,
-		libgsl0-dev
+		libgsl-dev
 Standards-Version: 3.9.6
 Homepage: http://guvcview.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/guvcview.git
@@ -19,7 +19,7 @@
  guvcview is a simple GTK+ interface for capturing and viewing video from
  devices supported by the Linux UVC driver.
 
-Package: libguvcview-1.0-0
+Package: libguvcview-1.1-1
 Section: libs
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,7 +28,7 @@
 Description: GTK+ base UVC Viewer - runtime
  guvcview is a simple GTK+ interface for capturing and viewing video from
  devices supported by the Linux UVC driver.
- . 
+ .
  This package includes the shared library.
 
 Package: libguvcview-dev
@@ -36,7 +36,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libguvcview-1.0-0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libguvcview-1.1-1 (= ${binary:Version})
 Recommends: uvcdynctrl
 Description: GTK+ base UVC Viewer - development files
  guvcview is a simple GTK+ interface for capturing and viewing video from

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	dh_auto_configure -- \
 		--disable-silent-rules \
 		--prefix=/usr \
-		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		GVIEWENCODER_CFLAGS="-D_FILE_OFFSET_BITS=64"
 
 override_dh_install:
 	rm -rf debian/tmp/usr/share/doc/guvcview/NEWS \

## guvcview 2.0.4+debian

=== debian/changelog ===
guvcview (2.0.4+debian-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * debian/rules: fix "--paralles" typo.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Dec 2016 12:38:38 -0800

guvcview (2.0.4+debian-1) unstable; urgency=medium

  * New upstream release. (Closes: #808240)
  * Update debian/control.
    - Update Standards-Version to 3.9.8.
  * Update patch for ffmpeg.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Jun 2016 04:56:52 +0900

=== debian/control ===
Source: guvcview
Section: graphics
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends:
 debhelper (>= 9),
 intltool,
 autotools-dev,
 libsdl2-dev,
 libgtk-3-dev,
 portaudio19-dev,
 libpng-dev,
 libtwolame-dev,
 libavcodec-dev,
 libv4l-dev,
 libudev-dev,
 libusb-1.0-0-dev,
 libgsl-dev | libgsl0-dev
Standards-Version: 3.9.8
Homepage: http://guvcview.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/guvcview.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/guvcview.git;a=summary

Package: guvcview
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.

Package: libguvcview-2.0-2
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GTK+ base UVC Viewer - runtime
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.
 .
 This package includes the shared library.

Package: libguvcview-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libguvcview-2.0-2 (= ${binary:Version})
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer - development files
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.
 .
 This package contains files that are needed to build applications against the
 libguvview shared library.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
+	cp -rf /usr/share/aclocal/intltool.m4 m4/intltool.m4
 	dh_auto_configure -- \
 		--disable-silent-rules \
 		--prefix=/usr \
@@ -16,3 +17,6 @@
 		debian/tmp/usr/share/doc/guvcview/ChangeLog
 
 	dh_install
+
+override_dh_auto_test:
+

## guvcview 2.0.5+debian

=== debian/changelog ===
guvcview (2.0.5+debian-1) unstable; urgency=medium

  * New upstream release. (Closes: #881324, #791603, #774092)
  * Delete debian/menu. Obsolete.
  * Fix appstream metadata legacy format and location.
    - Update debian/rules.
    - Add debian/patches/update-appdata-to-new-format.
  * Update Standards-Version to 4.1.1
  * Change Priority to optional
  * Remove patches/ffmpeg3.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 17 Nov 2017 09:31:40 +0900

=== debian/control ===
Source: guvcview
Section: graphics
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), intltool, autotools-dev, libsdl2-dev,
		libgtk-3-dev, portaudio19-dev, libpng-dev, libtwolame-dev,
		libavcodec-dev, libv4l-dev, libudev-dev, libusb-1.0-0-dev,
		libgsl-dev
Standards-Version: 4.1.1
Homepage: http://guvcview.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/guvcview.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/guvcview.git;a=summary

Package: guvcview
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.

Package: libguvcview-2.0-2
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GTK+ base UVC Viewer - runtime
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.
 .
 This package includes the shared library.

Package: libguvcview-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libguvcview-2.0-2 (= ${binary:Version})
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer - development files
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.
 .
 This package contains files that are needed to build applications.

## guvcview 2.0.6+debian

=== debian/changelog ===
guvcview (2.0.6+debian-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
    - Get rid of insecure-copyright-format-uri.
  * Update d/control.
    - Update Vcs-Git and Vcs-Browser.
    - Bump Standards-Version to 4.3.0.
    - Update debhelper to 11.
    - Remove autotools-dev from B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Jan 2019 10:38:24 +0900

guvcview (2.0.5+debian-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix FTBFS with ffmpeg 4.0. Thanks to James Cowgill for the
    patch. (Closes: #888329)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 Jul 2018 20:09:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,22 @@
 Section: graphics
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 9), intltool, autotools-dev, libsdl2-dev,
-		libgtk-3-dev, portaudio19-dev, libpng-dev, libtwolame-dev,
-		libavcodec-dev, libv4l-dev, libudev-dev, libusb-1.0-0-dev,
-		libgsl-dev
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11),
+               intltool,
+               libsdl2-dev,
+               libgtk-3-dev,
+               portaudio19-dev,
+               libpng-dev,
+               libtwolame-dev,
+               libavcodec-dev,
+               libv4l-dev,
+               libudev-dev,
+               libusb-1.0-0-dev,
+               libgsl-dev
+Standards-Version: 4.3.0
 Homepage: http://guvcview.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/guvcview.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/guvcview.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/guvcview.git
+Vcs-Browser: https://salsa.debian.org/debian/guvcview
 
 Package: guvcview
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	cp -rf /usr/share/aclocal/intltool.m4 m4/intltool.m4
	dh_auto_configure -- \
		--disable-silent-rules \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		GVIEWENCODER_CFLAGS="-D_FILE_OFFSET_BITS=64" \
		--disable-debian-menu

override_dh_install:
	rm -rf debian/tmp/usr/share/doc/guvcview/NEWS \
		debian/tmp/usr/share/doc/guvcview/COPYING \
		debian/tmp/usr/share/doc/guvcview/INSTALL \
		debian/tmp/usr/share/doc/guvcview/ChangeLog

	mkdir -p debian/tmp/usr/share/metainfo
	mv debian/tmp/usr/share/appdata/guvcview.appdata.xml \
			debian/tmp/usr/share/metainfo/org.guvcview.guvcview.appdata.xml
	rm -rf debian/tmp/usr/share/appdata

	dh_install

override_dh_auto_test:

## guvcview 2.0.7-2

=== debian/changelog ===
guvcview (2.0.7-2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1003148)
  * Update d/copyright
    - Remove the object deleted from the source.
  * Update d/libguvcview-2.0-2.lintian-overrides

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 30 Jan 2022 13:03:26 +0900

guvcview (2.0.6+debian-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository.
  * Make "Files: *" paragraph the first in the copyright file.
  * Update standards version to 4.6.0, no changes needed.

  [ Nobuhiro Iwamatsu ]
  * Update d/upstream/metadata.
    - Add Name, Repository-Browse Bug-Submit and Contact.
  * Update d/control.
    - Bump debhelper-compat version to 13.
    - Add 'Rules-Requires-Root: no'.
  * Update d/copyright.
  * Update d/rules.
    - Add '--exclude=.la' to dh.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 30 Jan 2022 08:46:10 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libsdl2-dev,
                libgtk-3-dev,
@@ -14,10 +14,11 @@
                libudev-dev,
                libusb-1.0-0-dev,
                libgsl-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: http://guvcview.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/guvcview.git
 Vcs-Browser: https://salsa.debian.org/debian/guvcview
+Rules-Requires-Root: no
 
 Package: guvcview
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	dh $@ --exclude=.la
 
 override_dh_auto_configure:
 	cp -rf /usr/share/aclocal/intltool.m4 m4/intltool.m4
@@ -25,4 +25,3 @@
 	dh_install
 
 override_dh_auto_test:
-

## guvcview 2.0.8

=== debian/changelog ===
guvcview (2.0.8-2.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:39:15 +0000

guvcview (2.0.8-2.1build2) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:11:19 +0000

guvcview (2.0.8-2.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:49:58 +0000

guvcview (2.0.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062197

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 09:22:42 +0000

guvcview (2.0.8-2) unstable; urgency=medium

  * d/control: Add Breaks and Replaces to libguvcview-2.1-2 (Closes: #1014841)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 22 Jul 2022 15:50:15 +0900

guvcview (2.0.8-1) unstable; urgency=medium

  * New upstream release. (Closes: #1004630)
  * Drop d/patches/update-appdata-to-new-format.
  * d/rules:
    - Fix path of guvcview.appdata.xml.
  * d/control:
    - Update package name with soname.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 11 Jul 2022 17:57:55 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: guvcview
 Section: graphics
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                intltool,
                libsdl2-dev,
                libgtk-3-dev,
@@ -28,12 +29,15 @@
  guvcview is a simple GTK+ interface for capturing and viewing video from
  devices supported by the Linux UVC driver.
 
-Package: libguvcview-2.0-2
+Package: libguvcview-2.1-2t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
+Breaks: libguvcview-2.1-2 (<< ${source:Version}), libguvcview-2.0-2
+Replaces: libguvcview-2.1-2, libguvcview-2.0-2
 Description: GTK+ base UVC Viewer - runtime
  guvcview is a simple GTK+ interface for capturing and viewing video from
  devices supported by the Linux UVC driver.
@@ -45,7 +49,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libguvcview-2.0-2 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libguvcview-2.1-2t64 (= ${binary:Version})
 Recommends: uvcdynctrl
 Description: GTK+ base UVC Viewer - development files
  guvcview is a simple GTK+ interface for capturing and viewing video from

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,8 @@
 		debian/tmp/usr/share/doc/guvcview/ChangeLog
 
 	mkdir -p debian/tmp/usr/share/metainfo
-	mv debian/tmp/usr/share/appdata/guvcview.appdata.xml \
+	mv data/guvcview.appdata.xml \
 			debian/tmp/usr/share/metainfo/org.guvcview.guvcview.appdata.xml
-	rm -rf debian/tmp/usr/share/appdata
 
 	dh_install

## guvcview 2.1.0

=== debian/changelog ===
guvcview (2.1.0-0.2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 06 Oct 2024 05:11:08 +0100

guvcview (2.1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Release to unstable.

 -- Soren Stoutner <soren@debian.org>  Fri, 20 Sep 2024 07:16:28 -0700

guvcview (2.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upastream version, 2.1.0. (Closes: #1072421)
  * Shared object bump to 2.2.
  * 'd/copyright': Add myself, Phil Wyett to 'Files: debian/*' section.
  * 'd/control':
    - Remove 't64' transition.
    - Update 'Standards-Version' to 4.7.0, no changes required.
    - Use HTTPS for 'Homepage'.
    - Update 'Breaks' and 'Replaces'.
  * 'd/rules':
    - Add DH_VERBOSE but leave disabled.
    - Add hardening 'all' to build.
  * Add 'd/watch' file.
  * Remove 'd/patches' and contents.
  * Remove legacy 'd/README.Debian'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 12 Sep 2024 10:45:32 +0100

=== debian/control ===
Source: guvcview
Section: graphics
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper-compat (= 13),
               intltool,
               libsdl2-dev,
               libgtk-3-dev,
               portaudio19-dev,
               libpng-dev,
               libtwolame-dev,
               libavcodec-dev,
               libv4l-dev,
               libudev-dev,
               libusb-1.0-0-dev,
               libgsl-dev
Standards-Version: 4.7.0
Homepage: https://guvcview.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/guvcview.git
Vcs-Browser: https://salsa.debian.org/debian/guvcview
Rules-Requires-Root: no

Package: guvcview
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.

Package: libguvcview-2.2
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Breaks: libguvcview-2.1-2t64 (<< ${source:Version}),
        libguvcview-2.1-2 (<< ${source:Version}), libguvcview-2.0-2
Replaces: libguvcview-2.1-2t64, libguvcview-2.1-2, libguvcview-2.0-2
Description: GTK+ base UVC Viewer - runtime
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.
 .
 This package includes the shared library.

Package: libguvcview-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libguvcview-2.2 (= ${binary:Version})
Recommends: uvcdynctrl
Description: GTK+ base UVC Viewer - development files
 guvcview is a simple GTK+ interface for capturing and viewing video from
 devices supported by the Linux UVC driver.
 .
 This package contains files that are needed to build applications.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+
 %:
 	dh $@ --exclude=.la

## guvcview 2.2.1

=== debian/changelog ===
guvcview (2.2.1-1) unstable; urgency=medium

  * New upastream release.
  * d/control:
    - Add cmake to B-D.
  * d/rules:
    - Change to cmake.
  * d/patches:
    - Add 0001-Change-the-path-to-install-pkgconfig-file.patch.
    - Add 0002-Add-support-build-static-library.patch.
    - Add 0003-data-guvcview.desktop.in-Remove-unnecessary-keys.patch.
    - Add 0004-data-CMakeLists.txt-Fix-install-path-for-AppStream-m.patch.
    - Add 0005-data-guvcview.appdata.xml.in-Fix-format.patch.
  * d/copyright:
    - Remove superfluous file pattern.
    - Update copyright year.
  * Update libguvcview-2.2.lintian-overrides

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 10 Mar 2025 00:22:22 +0900

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               cmake,
                intltool,
                libsdl2-dev,
                libgtk-3-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKE_FLAGS = \
        -DCMAKE_BUILD_TYPE=Release      \
        -DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
        -DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
        -DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
        -DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_SKIP_RPATH=ON \
        -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DENABLE_PRECOMPILED_HEADERS=OFF \
	-DINSTALL_DEVKIT=ON \
	-DUSE_PULSE=ON \

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure \
                -- $(CMAKE_FLAGS) \
                -DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)"

override_dh_install:
	rm -rf debian/tmp/usr/share/doc/guvcview/NEWS \
		debian/tmp/usr/share/doc/guvcview/COPYING \
		debian/tmp/usr/share/doc/guvcview/INSTALL \
		debian/tmp/usr/share/doc/guvcview/ChangeLog

	dh_install
	ln -s guvcview.appdata.xml \
		debian/tmp/usr/share/metainfo/org.guvcview.appdata.xml

override_dh_auto_test:

=== debian/watch ===
version=4
  http://sf.net/guvcview/guvcview-src-(\d\S+)\.(?:tar\.bz2)

## guvcview 2.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.14)
-project(guvcview VERSION 2.2.1)
+project(guvcview VERSION 2.2.2)
 
 include(GNUInstallDirs)
 
@@ -21,7 +21,7 @@
 endif()
 
 if(USE_SFML)
-  pkg_check_modules(SFML sfml-graphics>=2.0 sfml-window>=2.0)
+  pkg_check_modules(SFML sfml-graphics>=3.0 sfml-window>=3.0)
   if(SFML_FOUND)
     message(STATUS "sfml is ON")
     add_compile_definitions(ENABLE_SFML)
@@ -36,6 +36,9 @@
 set(LIBDIR "${CMAKE_INSTALL_LIBDIR}")
 set(PREFIX "${CMAKE_INSTALL_PREFIX}")
 
+#export compiler_commands.json
+#set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
+
 add_subdirectory(gview_audio)
 add_subdirectory(gview_encoder)
 add_subdirectory(gview_render)

=== gview_audio/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,8 @@
   VERSION ${LIBVERSION}
   SOVERSION ${LIBSOVERSION}
 )
+
+add_definitions("-Wall")
 
 pkg_check_modules(PORTAUDIO2 REQUIRED portaudio-2.0)

=== gview_encoder/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,8 @@
   SOVERSION ${LIBSOVERSION}
 )
 
+add_definitions("-Wall")
+
 pkg_check_modules(FFMPEG REQUIRED libavcodec libavutil)
 
 target_link_libraries(gviewencoder ${FFMPEG_LIBRARIES})

=== gview_render/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
   SOVERSION ${LIBSOVERSION}
 )
 
+add_definitions("-Wall")
 
 if(SDL2_FOUND)
   target_sources(gviewrender PRIVATE render_sdl2.c)

=== gview_v4l2core/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
   save_image_png.c
   soft_autofocus.c
   uvc_h264.c
+  uvc_meet4k.c
   v4l2_controls.c
   v4l2_core.c
   v4l2_devices.c
@@ -27,6 +28,8 @@
   VERSION ${LIBVERSION}
   SOVERSION ${LIBSOVERSION}
 )
+
+add_definitions("-Wall")
 
 pkg_check_modules(V4L2 REQUIRED
   libv4l2 libudev libusb-1.0 libavcodec>=57.16 libavutil libpng)

=== debian/changelog ===
guvcview (2.2.2-1) unstable; urgency=medium

  * New upastream release. (Closes: #1115021)
  * d/patches:
    + Remove 0003-data-guvcview.desktop.in-Remove-unnecessary-keys.patch.
    + Update 0002-Add-support-build-static-library.patch.
    + Add 0006-data-guvcview.desktop.in-Remove-file-path-from-Icon-.patch.
      (Closes: #1042986)
  * d/control:
    + Bump Standards-Version to 4.7.3.
    + Remove redundant Rules-Requires-Root field.
  * d/copyright:
    + Remove gpl-2+-with-libtool-exception as unused license paragraph.
    + Update copyright year.
    + Fix old-fsf-address-in-copyright-file Lintian warning.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 04 Jan 2026 14:42:29 +0900

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
                libudev-dev,
                libusb-1.0-0-dev,
                libgsl-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://guvcview.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/guvcview.git
 Vcs-Browser: https://salsa.debian.org/debian/guvcview
-Rules-Requires-Root: no
 
 Package: guvcview
 Architecture: linux-any
